Support Center

How to fix Android build error due to Stripe plugin

Last Updated: Dec 13, 2016 02:02PM EET
The following error is showing in the terminal on  ionic build android:

 

Cause

The Stripe plugin uses the org.apache.http library. The org.apache.http.* packages have been removed from the Android API 23 and higher. As a result, this library cannot be found.
 

Fix

As the org.apache.http.* packages have been transferred to the org.apache.http.legacy deprecated library, it can be declared in the build.grandle file under the platforms/android/ path.

 

Contact Us

a2a0cbd00b7dcd034f6f4d9b56d741db@appseed.desk-mail.com
https://cdn.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete